
Core - Bug # 62682

Epic # 61834 (Accepted): Create future proof Content Element with strong default
Task # 61836 (Accepted): Reorganize Content Element properties within backend Extension
Task # 61842 (New): Refactor CSS-Styled-Content + Content Elements

Status: Closed Priority: Must have
Author: Patrick Broens Category: Content Rendering
Created: 2014-11-04 Assigned To: Patrick Broens
Updated: 2015-04-13 Due date:
TYPO3 Version: 7
PHP Version:
Complexity: medium
Is Regression: No
Sprint Focus: On Location Sprint
Subject: Separate core and css_styled_content
Description

Make it possible to replace css_styled_content with another extension providing content elements without cluttering database and
unused definitions and methods.
Keep only the necessary basic properties for content elements:
    -  Authoring (user, tstamp, time)
    -  Hierarchy (position, sorting, parent page)
    -  Visibility (frontend user access, access time)
    -  Channel (language, workspace)
Tasks
    -  Move tt_content table definition to css_styled_content, except for fields mentioned above.
    -  Move relevant TCA to css_styled_content. Keep the basic properties in “frontend”.
    -  Move language labels, used in TCA, to css_styled_content.
    -  Move user functions, used in TCA, to css_styled_content.
    -  Move images, used in TCA, to css_styled_content.
    -  Move the content preview for content elements in tx_cms_layout::tt_content_drawItem to css_styled_content

Related issues:
related to Core - Task # 65922: Move unused tt_content TCA fields and the arr... Resolved 2015-03-23

History
#1 - 2014-12-23 19:45 - Mathias Schreiber
- Target version changed from 7.0 to 7.1 (Cleanup)

#2 - 2014-12-23 19:53 - Mathias Schreiber
- Target version changed from 7.1 (Cleanup) to 7.2 (Frontend)

#3 - 2015-03-21 20:29 - Mathias Schreiber
- Sprint Focus set to On Location Sprint

#4 - 2015-04-13 15:12 - Patrick Broens
- Status changed from New to Closed

Closed, since this work is done in #65922
